Kenya Business Credit Report
curl --request POST \
--url https://adhere-api.smartcomply.com/api/onboarding/kenya/company_credit/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"registration_number": "<string>"
}
'import requests
url = "https://adhere-api.smartcomply.com/api/onboarding/kenya/company_credit/"
payload = { "registration_number": "<string>" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({registration_number: '<string>'})
};
fetch('https://adhere-api.smartcomply.com/api/onboarding/kenya/company_credit/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "failed",
"data": [
"<unknown>"
],
"message": "<string>"
}{
"status": "failed",
"message": "Authentication credentials were not provided."
}Entreprise
Rapport de crédit d'entreprise au Kenya
Récupérez le rapport de crédit d’une entreprise au Kenya à l’aide de son numéro d’enregistrement commercial.
POST
/
api
/
onboarding
/
kenya
/
company_credit
/
Kenya Business Credit Report
L’endpoint Rapport de crédit d’entreprise au Kenya fournit un enregistrement complet des activités liées au crédit d’une entreprise au Kenya, notamment les comptes de prêt, les échéanciers de paiement, l’utilisation du crédit et le statut d’impayé.
Endpoint
POST /api/onboarding/kenya/company_credit/
Requête
En-têtes
| En-tête | Valeur | Requis |
|---|---|---|
x-access-token | Votre clé secrète API | Oui |
Content-Type | application/json | Oui |
Paramètres de corps
| Paramètre | Type | Requis | Description |
|---|---|---|---|
registration_number | string | Oui | Le numéro d’enregistrement commercial kenyan (p. ex. PVT-ABC123) |
Exemple
curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/kenya/company_credit/" \
-H "x-access-token: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{"registration_number": "PVT-ABC123"}'
Réponse
200 OK
{
"status": "success",
"data": {},
"message": "Kenya Company Credit Report retrieved successfully"
}
400 Bad Request
{
"status": "failed",
"data": [],
"message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
401 Unauthorized
{
"status": "failed",
"message": "Authentication credentials were not provided."
}

